generic_setlease
Prev | File Locks | Next

## Name

generic_setlease — sets a lease on an open file

## Synopsis

`int generic_setlease (` | struct file * | filp,
| long | arg,
| struct file_lock ** | flp`)`;

## Arguments

`filp`

  file pointer

`arg`

  type of lease to obtain

`flp`

  input - file_lock to use, output - file_lock inserted

## Description

The (input) flp->fl_lmops->fl_break function is required by `break_lease`.

Called with kernel lock held.

Prev | Up | Next
lease_get_mtime | Home | flock_lock_file_wait